slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSLyapIISetRanks

Set the ranks used in the solution of the Lyapunov equation.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLyapIISetRanks(EPS eps,PetscInt rkc,PetscInt rkl)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| rkc | - the compressed rank
| rkl | - the Lyapunov rank

### Options Database Key

| -eps_lyapii_ranks <rkc,rkl> | - Sets the rank parameters

### Notes

Lyapunov inverse iteration needs to solve a large-scale Lyapunov equation at each iteration of the eigensolver. For this, an iterative solver (LME) is used, which requires to prescribe the rank of the solution matrix X. This is the meaning of parameter rkl. Later, this matrix is compressed into another matrix of rank rkc. If not provided, rkl is a small multiple of rkc.

### See Also

EPSLyapIIGetRanks()

### Level

intermediate

### Location

src/eps/impls/lyapii/lyapii.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages